package com.mycompany.db;

import java.util.Properties;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.transaction.Transaction;
import javax.transaction.TransactionManager;

import org.hibernate.HibernateException;
import org.hibernate.transaction.TransactionManagerLookup;

public class MyCompanyTransactionManager implements TransactionManagerLookup {

	@Override
	public Object getTransactionIdentifier(Transaction transaction) 
	{
		return transaction;
	}

	@Override
	public TransactionManager getTransactionManager(Properties props)
			throws HibernateException 
	{
		try 
		{
		    return (TransactionManager) new InitialContext()
		      .lookup("java:jboss/TransactionManager");
		}
		catch (NamingException e) 
		{
		    throw new RuntimeException(e);
		}
	}

	@Override
	public String getUserTransactionName() 
	{
		return null;
	}
	
	public static TransactionManager getTransactionManager()
	{
		return new MyCompanyTransactionManager().getTransactionManager(null);
	}

}
